LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-25-2003, 11:58 AM   #1
meat_n2_reg
LQ Newbie
 
Registered: Oct 2003
Posts: 13

Rep: Reputation: 0
Question PPP package errors ( installing USB DSL Modem)


Hello ,

Have managed to obtain a copy of drivers for my USB DSL modem ( dynamode A360)
Using RH 7.2 btw.

drivers include ADSL-PPPOA-1.0-1.i386.rpm which I have installed .
have edited kernel & have required options .
Have installed ppp-2.4.1-2.i386.rpm also

Install script is not running to completion , error log is as below :
relates to package ADSL-USB-PPP-1.0-1

Start of logifile :
installing the module for kernel 2.4.x
modprobe failed to load the module ppp
Uninstall the incomplete package with command: rpm -e --noscripts ADSL-USB-PPP-1.0-1
insmod: a module named slhc already exists
ppp_generic.o: unresolved symbol dev_close_Rb323e7fb
ppp_generic.o: unresolved symbol register_chrdev_R82739b6c
ppp_generic.o: unresolved symbol remove_wait_queue_R5dd17b04
ppp_generic.o: unresolved symbol skb_under_panic_R95aded68
ppp_generic.o: unresolved symbol irq_stat_R757431be
ppp_generic.o: unresolved symbol add_wait_queue_Rb24dbe69
ppp_generic.o: unresolved symbol skb_over_panic_Rc2a7040d
ppp_generic.o: unresolved symbol softnet_data_Rd13cca99
ppp_generic.o: unresolved symbol netif_rx_R7cb763cb
ppp_generic.o: unresolved symbol __pollwait_R047dd2bd
ppp_generic.o: unresolved symbol unregister_netdevice_R63a29f34
ppp_generic.o: unresolved symbol __kfree_skb_R1b76aae6
ppp_generic.o: unresolved symbol ___pskb_trim_R4994f337
ppp_generic.o: unresolved symbol register_netdevice_Rabf2a39a
ppp_generic.o: unresolved symbol alloc_skb_Rb676d661
ppp_async.o: unresolved symbol ppp_unit_number_Raf8d7871
ppp_async.o: unresolved symbol n_tty_ioctl_Rb7c65162
ppp_async.o: unresolved symbol skb_under_panic_R95aded68
ppp_async.o: unresolved symbol irq_stat_R757431be
ppp_async.o: unresolved symbol ppp_input_Rc983a797
ppp_async.o: unresolved symbol ppp_output_wakeup_R1c5338a1
ppp_async.o: unresolved symbol skb_over_panic_Rc2a7040d
ppp_async.o: unresolved symbol ppp_channel_index_R1d4f20a8
ppp_async.o: unresolved symbol tty_register_ldisc_R9566326b
ppp_async.o: unresolved symbol ppp_unregister_channel_R0e3b7de1
ppp_async.o: unresolved symbol ppp_input_error_Rb41b3fdd
ppp_async.o: unresolved symbol __kfree_skb_R1b76aae6
ppp_async.o: unresolved symbol ppp_register_channel_R3f5ba642
ppp_async.o: unresolved symbol ___pskb_trim_R4994f337
ppp_async.o: unresolved symbol alloc_skb_Rb676d661

Please help ,

Really pleased with RH Linux however is a non started without internet access .

Regards Steve
 
Old 10-26-2003, 01:30 PM   #2
gmels
LQ Newbie
 
Registered: Oct 2003
Location: Belgium
Distribution: gentoo
Posts: 6

Rep: Reputation: 0
Hi,

Looks like a module version information problem.

You are trying to load a kernel module which was compiled for a kernel with "symbols version information". Your kernel doesn't seem to export this version information, or you are using a different kernel version. You can test this like this:

cat /proc/ksyms | grep dev_close

You should get something like this:

<address> dev_close_R<version>.

The <version> part should be "b323e7fb" (Your ppp_generic.o module needs "dev_close_Rb323e7fb"). If the numbers don't match, you are using a module with a different version than your kernel. If you don't get a <version> part at all, you must check your kernel config: "Loadable module support" --> "Set version information on all module symbols" should be "yes". If not change it and recompile your kernel and modules.

Hope this helps...
Giovanni.

Last edited by gmels; 10-26-2003 at 01:32 PM.
 
Old 10-26-2003, 07:01 PM   #3
meat_n2_reg
LQ Newbie
 
Registered: Oct 2003
Posts: 13

Original Poster
Rep: Reputation: 0
Thanks for your suggestion :

ran cat /proc/ksyms returned different value to requied value

ppp_generic.o module needs "dev_close_Rb323e7fb

Have installed both ppp-2.4.0.tar & ppp-2.4.1.tar still have same problem

i'm using kernel 2.4.7-10 btw

what ppp tar should i be installing ?

can't remember value returned from cat /proc/ksyms & have not currently got time ( tired) to swap disc re-run then swap disc back to post on windows ! however if you need this info i will post it .

Many thanks Steve
 
Old 10-27-2003, 01:08 PM   #4
gmels
LQ Newbie
 
Registered: Oct 2003
Location: Belgium
Distribution: gentoo
Posts: 6

Rep: Reputation: 0
Note: ppp in Linux = kernel modules (ppp_generic.o, pppoatm.o, ... in /lib/modules/...) + ppp user space programs ppp-2.4.x... (/usr/sbin/pppd, pppoatm.so plug-in, ...)

I think your kernel version is too old. I am not sure about this, but I believe you need at least 2.4.19 for pppoa. (But maybe RH patched its kernel?). Try to upgrade your kernel. I am using 2.4.20. Your ppp version is probably ok. BTW I am using ppp-2.4.2b3 + the pppoa patch for this version.

Good Luck!
 
Old 11-02-2003, 03:57 PM   #5
meat_n2_reg
LQ Newbie
 
Registered: Oct 2003
Posts: 13

Original Poster
Rep: Reputation: 0
Hi ,

Still working on it !!!

Installed kernel version 2.4.22 still receiving same errors as before ,

Reinstalled RH7.2 again from scratch kernel version 2.4.7-10 , edited kernel to allow ppp support etc

received different logfiles errors when running install script:

installing the module for kernel 2.4.x
modprobe failed to load the module ppp
Uninstall the incomplete package with command: rpm -e --noscripts ADSL-USB-PPP-1.0-1
slhc.o: kernel-module version mismatch
slhc.o was compiled for kernel version 2.4.7-10
while this kernel is version 2.4.7-10custom.
ppp_generic.o: kernel-module version mismatch
ppp_generic.o was compiled for kernel version 2.4.7-10
while this kernel is version 2.4.7-10custom.
ppp_async.o: kernel-module version mismatch
ppp_async.o was compiled for kernel version 2.4.7-10
while this kernel is version 2.4.7-10custom.

Have received this email from modem company Dynamode :

RedHat Linux 7.2 has been tested

Dynamode do not support Linux however every effort will be made if required to assist with device related problems (not Linux kernel configs)

Please help

Regards Steve
 
Old 11-02-2003, 04:56 PM   #6
meat_n2_reg
LQ Newbie
 
Registered: Oct 2003
Posts: 13

Original Poster
Rep: Reputation: 0
just a thought

error states that

ppp_async.o was compiled for kernel version 2.4.7-10
while this kernel is version 2.4.7-10custom.


looked in /usr/src

there is no mention of 2.4.7.10custom ??????


cheers Steve
 
Old 11-04-2003, 04:55 PM   #7
meat_n2_reg
LQ Newbie
 
Registered: Oct 2003
Posts: 13

Original Poster
Rep: Reputation: 0
please help .....

cheers Steve
 
Old 11-05-2003, 02:58 PM   #8
gmels
LQ Newbie
 
Registered: Oct 2003
Location: Belgium
Distribution: gentoo
Posts: 6

Rep: Reputation: 0
I don't get it... Can I have some more information?

When you install the driver, does it overwrite the kernel modules (in /lib/modules/<kernel-version>/kernel/drivers/net, etc...)?
When you reinstalled your kernel, did you recompile it, or just installed it?, Did you compile and install the modules (make modules && make modules_install)?
Where can I find the driver you are trying to install? Do you have the source code of it?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
DSL modem and ppp TreeHugger Linux - Hardware 1 08-21-2004 07:45 PM
need help installing usb dsl modem gooey Linux - Newbie 6 11-10-2003 08:30 AM
RH 7.3 Installing DSL SpeedTouch USB modem from Alcatel (France) freddymio Linux - Newbie 7 08-15-2003 09:51 AM
Help Motorola 120t and usb modem via ppp cmisip Linux - Networking 0 07-01-2003 10:32 PM
usb dsl modem shorty54 Linux - Software 1 05-08-2001 06:25 PM


All times are GMT -5. The time now is 10:47 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration